> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chronosphere.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Install a Core Operator on Linux

To get started with Chronosphere Telemetry Pipeline on Linux, you'll need to install a
[Core Operator](/ingest/pipeline/v2/concepts#core-operator) in each
Linux environment where you want to deploy pipelines.

## Supported Linux distributions

Telemetry Pipeline is compatible with the following Linux distributions:

* Amazon Linux 2023
* Red Hat Enterprise Linux 7.9, 8.0 or later, and 9.0 or later
* CentOS Linux 8 and 9
* Rocky Linux 9
* Ubuntu Server 20.04 LTS and 24.04 LTS

## Installation steps

To install a Core Operator on Linux:

1. [Review the Telemetry Pipeline installation prerequisites](/ingest/pipeline/v2/install/prereqs).

2. Review the [K3s requirements](https://docs.k3s.io/installation/requirements).
   As part of the Core Operator installation process, Telemetry Pipeline deploys
   a local K3s cluster in your Linux environment.

3. Run the following command:

   ```shell theme={null}
   curl -sSfL https://calyptia-core.s3.amazonaws.com/install-core.sh | bash
   ```

   This command installs [Pipeline CLI](/ingest/pipeline/pipeline-cli), deploys a K3s cluster,
   and installs a Core Operator inside that cluster.

4. Repeat these steps for each Linux environment where you want to use Telemetry
   Pipeline. For example, if you have multiple Linux virtual machines, you must
   install a dedicated Core Operator inside every virtual machine.

## Health checks

As part of the Core Operator installation process, Telemetry Pipeline performs
the following health checks:

* Checks for `curl`
* Checks for `systemctl`
* Ensures the system meets the basic requirements
* Checks that Federal Information Processing Standards (FIPS) mode isn't enabled
* Checks that a firewall isn't enabled
* Tests connectivity to [https://cloud-api.calyptia.com](https://cloud-api.calyptia.com)
* Tests connectivity to [https://ghcr.io/calyptia/core](https://ghcr.io/calyptia/core)
* Checks SELinux status

If the checks find an issue, an error message outputs to the console. See
[Troubleshoot Telemetry Pipeline installations on Linux](/ingest/pipeline/v2/install/troubleshooting)
for additional help.

## Next steps

After you've installed a Core Operator in your Linux environment, you can
[create a Core Instance](/ingest/pipeline/v2/install/create-instance) in that environment.
